#include "norm.h"

tnorm::tnorm()
{

//starting mystem
	mystem.start("mystem.exe", QStringList() << "-lc",QIODevice::ReadWrite|QIODevice::Text|QIODevice::Unbuffered);
	if (!mystem.waitForStarted())
		throw "Mystem failed to start";
	mystem.setTextModeEnabled(true);
	setbuf(stdin,0);
	setbuf(stdout,0);
}

tnorm::~tnorm()
{
	mystem.close();
}

tstr tnorm::operator[](tstr param)
{

	mystem.write((param).c_str());
	mystem.closeWriteChannel();
	QByteArray answer;

//	mystem.waitForReadyRead();
	mystem.waitForFinished();
	answer = mystem.readAll();
	mystem.start("mystem.exe", QStringList() << "-lc",QIODevice::ReadWrite|QIODevice::Text|QIODevice::Unbuffered);

	tstr s=answer.constData(), res;

	for(unsigned i=0;i<s.length();i++)
	{
		if(s[i]=='?')
			continue;
//		if(s[i]=='|')
//			{ res.erase(res.rfind(" "),res.length()); res+=" "; continue; }
		if(s[i]!='{'&&s[i]!='}')
			res+=s[i];
		else	
			res+=" ";
	}

	return res;
}                
